commit:     dc683d7ff49aec7a02a49f672a07d948df5e1503
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 15 06:10:08 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Sep 15 06:46:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc683d7f

dev-python/botocore: Bump to 1.17.61

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/botocore/Manifest                |  1 +
 dev-python/botocore/botocore-1.17.61.ebuild | 62 +++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 79fec3faddf..db0976623a5 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -6,3 +6,4 @@ DIST botocore-1.17.52.tar.gz 6778122 BLAKE2B 
4afb88a7990ca4cd04f113a75f00dcc2656
 DIST botocore-1.17.55.tar.gz 6781012 BLAKE2B 
d9dac6d32ae6226bf80c79651f0d56c1b916a9e4b696c99c2921aae9759ff2c86df1f4682902ff4313d018c6514e24718228cd13219cdbd784b828faf3a8fc10
 SHA512 
941e773932db1a9fddf8476485c9b979803596a02017fa44c88667e833acd0b84fe8a2f9211c7791a20f08e947d93354bb995f03d915543ab5d24ebad683cbaf
 DIST botocore-1.17.57.tar.gz 6815839 BLAKE2B 
e135e4d0b889add8417d8a6ce97c475865859e8805077bc404010cf1c0d7da0eae27f49fc14eaffa86b0a45e5a49799a59fa6b3a7117d103976b0c1628a531db
 SHA512 
244021f4ab9a2778917f91bcf0f26d868025e77bee0c592f81e8266721952b5ffcc3ec4fc7f1dc2b7e2b20faac8f0d4e8b8b47d72a89ff66386fc008b0781da1
 DIST botocore-1.17.59.tar.gz 6829639 BLAKE2B 
efacd4c875e17f187abd5c4602a82229ed2a9fd78e1987f1b540eb882d1a3ce7c23768f7f4b9dc26a678ff4ce48264f3893c0aa2a68511823f79686c21ecf82f
 SHA512 
609eb24774384b95dd9b5bcf5931d263341fbbba90b84159c6833296c22d95c6cf8d304d6908713d9ba826858d8d226e0b5c700bb1410c3a9f7b2d679f535c40
+DIST botocore-1.17.61.tar.gz 6832886 BLAKE2B 
1c63507dea98f4f4275effe190e7af1e3325ee03376676bdbab6eeca364540bd86c7253b1ab64a70d28cf2f5ae8182927c2f18ac86e0bac813d4ef11c37193c6
 SHA512 
606076103594fb6efee1fa79181449c0ffa37eb71b5f5c187f8046375ddf982f72741ba00a1d2311be893094b86dd9196ee33410a693727ea9502cf87332dcc0

diff --git a/dev-python/botocore/botocore-1.17.61.ebuild 
b/dev-python/botocore/botocore-1.17.61.ebuild
new file mode 100644
index 00000000000..8737f742498
--- /dev/null
+++ b/dev-python/botocore/botocore-1.17.61.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore";
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/boto/botocore";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/docutils[${PYTHON_USEDEP}]
+       dev-python/jmespath[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       dev-python/urllib3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+       "${FILESDIR}/botocore-1.16.7-unlock-deps.patch"
+)
+
+distutils_enable_sphinx docs/source \
+       'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+       # py3.9
+       find -name '*.py' -exec \
+               sed -i -e 's:cElementTree:ElementTree:' {} + || die
+       # very unstable
+       sed -i -e 's:test_stress_test_token_bucket:_&:' \
+               tests/functional/retries/test_bucket.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       # note: suites need to be run separately as one of the unit tests
+       # seems to be leaking mocks and breaking a few functional tests
+       nosetests -v tests/unit ||
+               die "unit tests failed under ${EPYTHON}"
+       nosetests -v tests/functional ||
+               die "functional tests failed under ${EPYTHON}"
+}

Reply via email to